<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSSSPInfo.html" target="_self">SSSPInfo</a></td><td class="desc">Defines the algorithm data field of the customized vertex class of the SSSP algorithm </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structSSSPNodeSeq.html" target="_self">SSSPNodeSeq&lt; DIST_TYPE, ID_TYPE &gt;</a></td><td class="desc">A structure that contains algorithm data for Dijkstra vertex </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structSSSPNodeSeq.html" target="_self">SSSPNodeSeq&lt; EdgeType::DATA_TYPE, IdType &gt;</a></td><td class="desc"></td></tr>
<tr id="row_3_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_3_" class="arrow" onclick="toggleFolder('3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGL.html" target="_self">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="desc">Top level class for the TIGL engine <br />
</td></tr>
<tr id="row_3_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLApiTester.html" target="_self">TIGLApiTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="desc">Interface class for testing the different modules in the TIGL <br />
</td></tr>
<tr id="row_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLApiCombiner.html" target="_self">TIGLApiCombiner&lt; ALG_MESSAGE_TYPE &gt;</a></td><td class="desc">Pure combiner class for the TIGL engine </td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_5_" class="arrow" onclick="toggleFolder('5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLApiCombiner.html" target="_self">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPageRankCombiner.html" target="_self">PageRankCombiner</a></td><td class="desc">Combiner class for the Page Rank algorithm </td></tr>
<tr id="row_5_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSSSPCombiner.html" target="_self">SSSPCombiner</a></td><td class="desc">Combiner class for the SSSP algorithm </td></tr>
<tr id="row_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLApiMessage.html" target="_self">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="desc">Core data message class definition </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLCommunicationAggregateSysMessage.html" target="_self">TIGLCommunicationAggregateSysMessage&lt; AlgData &gt;</a></td><td class="desc">Base class for aggregate information messages </td></tr>
<tr id="row_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLCommunicationManager.html" target="_self">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a></td><td class="desc">Core communicator class definition </td></tr>
<tr id="row_9_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structTIGLCommunicationMessageDev.html" target="_self">TIGLCommunicationMessageDev</a></td><td class="desc">Message container for TX/RX </td></tr>
<tr id="row_10_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLCommunicationSysMessage.html" target="_self">TIGLCommunicationSysMessage</a></td><td class="desc">Core system message class definition </td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLComputationManager.html" target="_self">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="desc">Core Computation class for the TIGL </td></tr>
<tr id="row_12_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersAggregate.html" target="_self">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="desc">Base class for aggregate information </td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersAggregate.html" target="_self">TIGLContainersAggregate&lt; ALG_DATA_TYPE &gt;</a></td><td class="desc"></td></tr>
<tr id="row_14_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_14_" class="arrow" onclick="toggleFolder('14_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersEdgeBase.html" target="_self">TIGLContainersEdgeBase&lt; idType &gt;</a></td><td class="desc">Core edge class </td></tr>
<tr id="row_14_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersEdge2Sided.html" target="_self">TIGLContainersEdge2Sided&lt; idType &gt;</a></td><td class="desc">Core edge class with information about the two sides </td></tr>
<tr id="row_14_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_14_1_" class="arrow" onclick="toggleFolder('14_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersEdgeW.html" target="_self">TIGLContainersEdgeW&lt; idType, dataType &gt;</a></td><td class="desc">Weighted edge class </td></tr>
<tr id="row_14_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersComputeEdge.html" target="_self">TIGLContainersComputeEdge&lt; idType, dataType, algDataType &gt;</a></td><td class="desc">Compute edge class </td></tr>
<tr id="row_14_1_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersEdgeW2Sided.html" target="_self">TIGLContainersEdgeW2Sided&lt; idType, dataType &gt;</a></td><td class="desc">Weighted edge class with information about the two sides </td></tr>
<tr id="row_15_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structTIGLContainersGraphTraits.html" target="_self">TIGLContainersGraphTraits&lt; CVertex &gt;</a></td><td class="desc">Basic type definitions for <a class="el" href="classTIGLContainersSubgraphBase.html" title="Core data container for a subgraph in each device. ">TIGLContainersSubgraphBase</a> class </td></tr>
<tr id="row_16_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersPosInfo.html" target="_self">TIGLContainersPosInfo&lt; ID_TYPE &gt;</a></td><td class="desc">Contains position information for each vertex which is stored in the position hash table </td></tr>
<tr id="row_17_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_17_" class="arrow" onclick="toggleFolder('17_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersSubgraphBase.html" target="_self">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="desc">Core data container for a subgraph in each device </td></tr>
<tr id="row_17_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersSubgraph.html" target="_self">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="desc">Graph container for each device in the TIGL </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_18_" class="arrow" onclick="toggleFolder('18_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersVertexBase.html" target="_self">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="desc">Core vertex class </td></tr>
<tr id="row_18_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLApiVertex.html" target="_self">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a></td><td class="desc">Core vertex class for the TIGL Engine (with only output edge buffer) </td></tr>
<tr id="row_18_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_18_1_" class="arrow" onclick="toggleFolder('18_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersBiVertexBase.html" target="_self">TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="desc">A vertex class with both input and output edges lists </td></tr>
<tr id="row_18_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersBiVertex.html" target="_self">TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="desc">Core vertex class with input and output edge buffers </td></tr>
<tr id="row_19_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_19_" class="arrow" onclick="toggleFolder('19_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersVertexBase.html" target="_self">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="desc"></td></tr>
<tr id="row_19_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_19_0_" class="arrow" onclick="toggleFolder('19_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersBiVertexBase.html" target="_self">TIGLContainersBiVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; IdType &gt;, IdType &gt;</a></td><td class="desc"></td></tr>
<tr id="row_19_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPageRankVertexSeq.html" target="_self">PageRankVertexSeq&lt; DataType, IdType &gt;</a></td><td class="desc">Customized vertex class for sequential computation of the Page Rank algorithm </td></tr>
<tr id="row_20_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_20_" class="arrow" onclick="toggleFolder('20_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersVertexBase.html" target="_self">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t &gt;</a></td><td class="desc"></td></tr>
<tr id="row_20_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_20_0_" class="arrow" onclick="toggleFolder('20_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLApiVertex.html" target="_self">TIGLApiVertex&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t, uint_fast32_t, DblMessage &gt;</a></td><td class="desc"></td></tr>
<tr id="row_20_0_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPageRankVertex.html" target="_self">PageRankVertex&lt; DataType &gt;</a></td><td class="desc">Customized class for the Page Rank algorithm </td></tr>
<tr id="row_21_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_21_" class="arrow" onclick="toggleFolder('21_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersVertexBase.html" target="_self">TIGLContainersVertexBase&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t &gt;</a></td><td class="desc"></td></tr>
<tr id="row_21_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_21_0_" class="arrow" onclick="toggleFolder('21_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLApiVertex.html" target="_self">TIGLApiVertex&lt; DataType, SSSPInfo, EdgeType, uint_fast32_t, uint_fast32_t, DblMessage &gt;</a></td><td class="desc"></td></tr>
<tr id="row_21_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSSSPVertex.html" target="_self">SSSPVertex&lt; DataType, EdgeType &gt;</a></td><td class="desc">Customized <a class="el" href="classTIGLApiVertex.html" title="Core vertex class for the TIGL Engine (with only output edge buffer). ">TIGLApiVertex</a> class for the Single Source Shortest Path using the Dijkstra Algorithm </td></tr>
<tr id="row_22_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_22_" class="arrow" onclick="toggleFolder('22_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLContainersVertexBase.html" target="_self">TIGLContainersVertexBase&lt; DataType, SSSPNodeSeq&lt; EdgeType::DATA_TYPE, IdType &gt;, EdgeType, IdType &gt;</a></td><td class="desc"></td></tr>
<tr id="row_22_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSSSPVertexSeq.html" target="_self">SSSPVertexSeq&lt; DataType, EdgeType, IdType &gt;</a></td><td class="desc">Vertex class for the sequential implementation of the SSSP algorithm </td></tr>
<tr id="row_23_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structTIGLContainersVertexTraits.html" target="_self">TIGLContainersVertexTraits&lt; dataType, algDataType, edgeType, idType &gt;</a></td><td class="desc">Basic type definitions for <a class="el" href="classTIGLApiVertex.html" title="Core vertex class for the TIGL Engine (with only output edge buffer). ">TIGLApiVertex</a> class </td></tr>
<tr id="row_24_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLMutationManager.html" target="_self">TIGLMutationManager&lt; SUBGRAPH_CLASS &gt;</a></td><td class="desc">Mutation manager class </td></tr>
<tr id="row_25_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIGLMutationMessage.html" target="_self">TIGLMutationMessage</a></td><td class="desc">Core mutation Massage container class </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
